> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Update Project > Updates an existing project ## OpenAPI ````json PUT /api/v1/Authoring/projects/{id} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{id}": { "put": { "tags": [ "Authoring" ], "summary": "Update Project", "description": "Updates an existing project", "parameters": [ { "name": "id", "in": "path", "description": "Id of the project being updated", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "requestBody": { "description": "Information about the project being updated", "content": { "application/json-patch+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.UpdateProjectRequest" } }, "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.UpdateProjectRequest" } }, "text/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.UpdateProjectRequest" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.UpdateProjectRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.UpdateProjectResult" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorListResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.UpdateProjectRequest": { "title": "UpdateProjectRequest", "type": "object", "properties": { "name": { "type": "string", "description": "The project name" }, "description": { "type": "string", "description": "The project description", "nullable": true }, "dataSourceIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "List of data source IDs that can be used within the project" }, "permissions": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectPermission" }, "description": "List of permissions to add to the project" }, "customFields": { "type": "object", "additionalProperties": {}, "description": "List of custom fields to add to the project" }, "isCertified": { "type": "boolean", "description": "Whether custom field values are flagged as certified" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.UpdateProjectResult": { "title": "UpdateProjectResult", "type": "object", "properties": { "id": { "type": "integer", "description": "The project ID", "format": "int32" }, "name": { "type": "string", "description": "The project name" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorListResponse": { "title": "ErrorListResponse", "type": "object", "properties": { "errors": { "type": "array", "items": { "type": "string" } } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ProjectPermission": { "title": "ProjectPermission", "required": [ "name", "type" ], "type": "object", "properties": { "type": { "$ref": "#/components/schemas/Common.PermissionType" }, "name": { "minLength": 1, "type": "string" }, "roleSet": { "type": "string", "description": "The name of a predefined role set" }, "roles": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectRole" }, "description": "The custom roles to use when the roleSet property is empty", "nullable": true } }, "additionalProperties": false }, "Common.PermissionType": { "title": "PermissionType", "enum": [ "User", "Group" ], "type": "string" }, "Configuration.Api.Models.v1.ProjectRole": { "title": "ProjectRole", "enum": [ "Admin", "CreateJobs", "Export", "Import", "LabelManager", "CreateTests" ], "type": "string" } } } } ````